Index: /code/trunk/src/orxonox/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/CMakeLists.txt	(revision 8728)
+++ /code/trunk/src/orxonox/CMakeLists.txt	(revision 8729)
@@ -35,8 +35,9 @@
   ChatInputHandler.cc
 #  Test.cc
-COMPILATION_BEGIN SceneCompilation.cc
+
+BUILD_UNIT SceneBuildUnit.cc
   CameraManager.cc
   Scene.cc
-COMPILATION_END
+END_BUILD_UNIT
 )
 
Index: /code/trunk/src/orxonox/Main.cc
===================================================================
--- /code/trunk/src/orxonox/Main.cc	(revision 8728)
+++ /code/trunk/src/orxonox/Main.cc	(revision 8729)
@@ -39,9 +39,4 @@
 #include "core/Game.h"
 #include "core/LuaState.h"
-#include "ToluaBindOrxonox.h"
-#include "ToluaBindNetwork.h"
-
-DeclareToluaInterface(Orxonox);
-DeclareToluaInterface(Network);
 
 namespace orxonox
Index: /code/trunk/src/orxonox/controllers/AIController.cc
===================================================================
--- /code/trunk/src/orxonox/controllers/AIController.cc	(revision 8728)
+++ /code/trunk/src/orxonox/controllers/AIController.cc	(revision 8729)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    static const float ACTION_INTERVAL = 1.0f;
+    const float AIController::ACTION_INTERVAL = 1.0f;
 
     CreateFactory(AIController);
Index: /code/trunk/src/orxonox/controllers/AIController.h
===================================================================
--- /code/trunk/src/orxonox/controllers/AIController.h	(revision 8728)
+++ /code/trunk/src/orxonox/controllers/AIController.h	(revision 8729)
@@ -50,4 +50,6 @@
 
         private:
+            static const float ACTION_INTERVAL;
+
             Timer actionTimer_;
     };
Index: /code/trunk/src/orxonox/controllers/DroneController.cc
===================================================================
--- /code/trunk/src/orxonox/controllers/DroneController.cc	(revision 8728)
+++ /code/trunk/src/orxonox/controllers/DroneController.cc	(revision 8729)
@@ -43,5 +43,5 @@
     CreateFactory(DroneController);
 
-    static const float ACTION_INTERVAL = 1.0f;
+    const float DroneController::ACTION_INTERVAL = 1.0f;
 
     DroneController::DroneController(BaseObject* creator) : ArtificialController(creator)
Index: /code/trunk/src/orxonox/controllers/DroneController.h
===================================================================
--- /code/trunk/src/orxonox/controllers/DroneController.h	(revision 8728)
+++ /code/trunk/src/orxonox/controllers/DroneController.h	(revision 8729)
@@ -69,4 +69,6 @@
 
         private:
+            static const float ACTION_INTERVAL;
+
             Timer actionTimer_;
             WeakPtr<Pawn> owner_;
Index: /code/trunk/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/trunk/src/orxonox/gamestates/GSLevel.cc	(revision 8728)
+++ /code/trunk/src/orxonox/gamestates/GSLevel.cc	(revision 8729)
@@ -77,10 +77,10 @@
         {
             gameInputState_ = InputManager::getInstance().createInputState("game");
-            gameInputState_->setMouseExclusive(TriBool::True);
+            gameInputState_->setMouseExclusive(true);
             gameInputState_->setHandler(KeyBinderManager::getInstance().getDefaultAsHandler());
             KeyBinderManager::getInstance().setToDefault();
 
             guiMouseOnlyInputState_ = InputManager::getInstance().createInputState("guiMouseOnly");
-            guiMouseOnlyInputState_->setMouseExclusive(TriBool::True);
+            guiMouseOnlyInputState_->setMouseExclusive(true);
             guiMouseOnlyInputState_->setMouseHandler(&GUIManager::getInstance());
 
Index: /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 8728)
+++ /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 8729)
@@ -48,4 +48,5 @@
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
 #include "network/Host.h"
 #include "infos/PlayerInfo.h"
Index: /code/trunk/src/orxonox/graphics/CMakeLists.txt
===================================================================
--- /code/trunk/src/orxonox/graphics/CMakeLists.txt	(revision 8728)
+++ /code/trunk/src/orxonox/graphics/CMakeLists.txt	(revision 8729)
@@ -9,8 +9,9 @@
   ParticleEmitter.cc
   ParticleSpawner.cc
-COMPILATION_BEGIN GraphicsCompilation.cc
+
+BUILD_UNIT GraphicsBuildUnit.cc
   Backlight.cc
   Camera.cc
   Light.cc
-COMPILATION_END
+END_BUILD_UNIT
 )
Index: /code/trunk/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- /code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 8728)
+++ /code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 8729)
@@ -91,4 +91,8 @@
         this->setConfigValues();
         this->initialise();
+
+        // Output buffering is not anymore needed. Not the best solution to do
+        // this here, but there isn't much of another way.
+        OutputHandler::getInstance().disableMemoryLog();
     }
 
@@ -586,4 +590,7 @@
                           colourBottom = ColourValue(0.90f, 0.90f, 0.90f, 1.00f); break;
 
+        case Shell::TDebug:  colourTop = ColourValue(0.90f, 0.00f, 0.90f, 1.00f);
+                          colourBottom = ColourValue(1.00f, 0.00f, 1.00f, 1.00f); break;
+
         default:             colourTop = ColourValue(0.90f, 0.90f, 0.90f, 1.00f);
                           colourBottom = ColourValue(1.00f, 1.00f, 1.00f, 1.00f); break;
Index: /code/trunk/src/orxonox/sound/BaseSound.cc
===================================================================
--- /code/trunk/src/orxonox/sound/BaseSound.cc	(revision 8728)
+++ /code/trunk/src/orxonox/sound/BaseSound.cc	(revision 8729)
@@ -61,5 +61,6 @@
     BaseSound::~BaseSound()
     {
-        this->stop();
+        if (this->state_ != Stopped)
+            this->stop();
         // Release buffer
         if (this->soundBuffer_ != NULL)
Index: /code/trunk/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- /code/trunk/src/orxonox/weaponsystem/Munition.cc	(revision 8728)
+++ /code/trunk/src/orxonox/weaponsystem/Munition.cc	(revision 8729)
@@ -29,5 +29,7 @@
 
 #include "Munition.h"
+
 #include "core/CoreIncludes.h"
+#include "core/command/Executor.h"
 
 namespace orxonox
Index: /code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- /code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 8728)
+++ /code/trunk/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 8729)
@@ -30,4 +30,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/SubclassIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
